org.apache.solr.index

## Class SimpleMergePolicyFactory

- java.lang.Object
- - org.apache.solr.index.MergePolicyFactory
  - - org.apache.solr.index.SimpleMergePolicyFactory

- Direct Known Subclasses:
    LogByteSizeMergePolicyFactory, LogDocMergePolicyFactory, NoMergePolicyFactory, TieredMergePolicyFactory

      public abstract class SimpleMergePolicyFactory
      extends MergePolicyFactory

  A `MergePolicyFactory` for simple `MergePolicy` objects. Implementations need only create the policy `instance` and this class will then configure it with all set properties.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.index.MergePolicyFactory

      `args, resourceLoader, schema`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SimpleMergePolicyFactory(SolrResourceLoader resourceLoader, MergePolicyFactoryArgs args, IndexSchema schema)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergePolicy` | `getMergePolicy()`
    `protected abstract MergePolicy` | `getMergePolicyInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleMergePolicyFactory

          protected SimpleMergePolicyFactory(SolrResourceLoader resourceLoader,
                                             MergePolicyFactoryArgs args,
                                             IndexSchema schema)

  - ### Method Detail

    - #### getMergePolicyInstance

          protected abstract MergePolicy getMergePolicyInstance()

    - #### getMergePolicy

          public final MergePolicy getMergePolicy()

      Specified by:
        `getMergePolicy` in class `MergePolicyFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.